Subject: [Dance] Fwd: Structure for coming work

From: "Olle E. Johansson" <[email-masked]>
Date: Fri, 25 Mar 2022 08:50:25 +0100

For today’s meeting I just wanted to humbly remind the group of this earlier discussion :-)

Regards,
/O

> Begin forwarded message:
> 
> From: Wes Hardaker <[email-masked]>
> Subject: Re: [Dance] Structure for coming work
> Date: 24 November 2021 at 00:21:15 CET
> To: "Olle E. Johansson" <[email-masked]>
> Cc: [email-masked]
> 
> "Olle E. Johansson" <[email-masked]> writes:
> 
>> Brainstorming openly:
> 
>> From a process point of view (but still IMHO as I'm writing this without
> my co-chair reviewing it first) I think there are multiple pieces to
> this for consideration:
> 
> 1. the base architecture document should describe the following:
> 
>> - Dancing rules: How to define a usage - requirements on naming (from
>> a DNS health perspective), privacy recommendations (don’t put email
>> addresses in DNS), revocations (TTL) etc
> 
> 2. The architecture and potential solutions for making things actually
>   work will require:
> 
>> - TLS-modifications: One document with the new extension and the usage
>> Victor outlined in the meeting - CA preference for selection of device
>> credentials
> 
> Which the charter says should happen in the TLS working group, though
> the documents can start with ideas from here of course.
> 
> Then we'll likely also have individual protocol solution documents that
> need protocol-specific sub-discussions, we will likely need small, short
> documents or integrations with other WG documents as needed for things
> like:
> 
>> - IoT usage: Device ID naming, connections to other solutions like BRSKI, ACME etc
>> - XXYYZZ usage: Like “SIP Dancing for fun and profit” - how to apply Dance to the SIP protocol
> 
> [a mental image of handing dancing shoes to other WGs is coming to mind]
> 
> -- 
> Wes Hardaker
> USC/ISI